StyleableBooleanProperty (JavaFX 13)

Module javafx.graphics
Package javafx.css

## Class StyleableBooleanProperty

- java.lang.Object
- - javafx.beans.binding.BooleanExpression
  - - javafx.beans.property.ReadOnlyBooleanProperty
    - - javafx.beans.property.BooleanProperty
      - - javafx.beans.property.BooleanPropertyBase
        - - javafx.css.StyleableBooleanProperty

- All Implemented Interfaces:
    `Observable`, `Property<Boolean>`, `ReadOnlyProperty<Boolean>`, `ObservableBooleanValue`, `ObservableValue<Boolean>`, `WritableBooleanValue`, `WritableValue<Boolean>`, `StyleableProperty<Boolean>`
  Direct Known Subclasses:
    `SimpleStyleableBooleanProperty`

      public abstract class StyleableBooleanProperty
      extends BooleanPropertyBase
      implements StyleableProperty<Boolean>

  This class extends `BooleanPropertyBase` and provides a partial implementation of a `StyleableProperty`. The method `StyleableProperty.getCssMetaData()` is not implemented. This class is used to make a `BooleanProperty`, that would otherwise be implemented as a `BooleanPropertyBase`, styleable by CSS.
  Since:
    JavaFX 8.0
  See Also:
    `BooleanPropertyBase`, `CssMetaData`, `StyleableProperty`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StyleableBooleanProperty()` | The constructor of the `StyleableBooleanProperty`.
    `StyleableBooleanProperty​(boolean initialValue)` | The constructor of the `StyleableBooleanProperty`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `applyStyle​(StyleOrigin origin, Boolean v)` | This method is called from CSS code to set the value of the property.
    `void` | `bind​(ObservableValue<? extends Boolean> observable)` | Create a unidirection binding for this `Property`.
    `StyleOrigin` | `getStyleOrigin()` | Tells the origin of the value of the property.
    `void` | `set​(boolean v)` | Set the wrapped value.

    - ### Methods inherited from class javafx.beans.property.BooleanPropertyBase

      `addListener, addListener, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, toString, unbind`

    - ### Methods inherited from class javafx.beans.property.BooleanProperty

      `asObject, bindBidirectional, booleanProperty, setValue, unbindBidirectional`

    - ### Methods inherited from class javafx.beans.property.ReadOnlyBooleanProperty

      `readOnlyBooleanProperty`

    - ### Methods inherited from class javafx.beans.binding.BooleanExpression

      `and, asString, booleanExpression, booleanExpression, getValue, isEqualTo, isNotEqualTo, not, or`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `getValue`

    - ### Methods inherited from interface javafx.beans.property.ReadOnlyProperty

      `getBean, getName`

    - ### Methods inherited from interface javafx.css.StyleableProperty

      `getCssMetaData`

    - ### Methods inherited from interface javafx.beans.value.WritableValue

      `getValue`

- - ### Constructor Detail

    - #### StyleableBooleanProperty

          public StyleableBooleanProperty()

      The constructor of the `StyleableBooleanProperty`.

    - #### StyleableBooleanProperty

          public StyleableBooleanProperty​(boolean initialValue)

      The constructor of the `StyleableBooleanProperty`.
      Parameters:
        `initialValue` - the initial value of the wrapped `Object`

  - ### Method Detail

    - #### applyStyle

          public void applyStyle​(StyleOrigin origin,
                                 Boolean v)

      This method is called from CSS code to set the value of the property.
      Specified by:
        `applyStyle` in interface `StyleableProperty<Boolean>`
      Parameters:
        `origin` - the origin
        `v` - the value

    - #### bind

          public void bind​(ObservableValue<? extends Boolean> observable)

      Create a unidirection binding for this `Property`.

      Note that JavaFX has all the bind calls implemented through weak listeners. This means the bound property can be garbage collected and stopped from being updated. Note:

      Specified by:
        `bind` in interface `Property<Boolean>`
      Overrides:
        `bind` in class `BooleanPropertyBase`
      Parameters:
        `observable` - The observable this `Property` should be bound to.

    - #### set

          public void set​(boolean v)

      Set the wrapped value. Unlike `WritableBooleanValue.setValue(java.lang.Boolean)`, this method uses primitive boolean.
      Specified by:
        `set` in interface `WritableBooleanValue`
      Overrides:
        `set` in class `BooleanPropertyBase`
      Parameters:
        `v` - The new value

    - #### getStyleOrigin

          public StyleOrigin getStyleOrigin()

      Tells the origin of the value of the property. This is needed to determine whether or not CSS can override the value.
      Specified by:
        `getStyleOrigin` in interface `StyleableProperty<Boolean>`
      Returns:
        the style origin